Writer (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing, interface: Writer

Package com.google.zxing

# Interface Writer

All Known Implementing Classes:
  `AztecWriter`, `CodaBarWriter`, `Code128Writer`, `Code39Writer`, `Code93Writer`, `DataMatrixWriter`, `EAN13Writer`, `EAN8Writer`, `ITFWriter`, `MultiFormatWriter`, `OneDimensionalCodeWriter`, `PDF417Writer`, `QRCodeWriter`, `UPCAWriter`, `UPCEANWriter`, `UPCEWriter`

public interface Writer
The base class for all objects which encode/generate a barcode image.

Author:
  dswitkin@google.com (Daniel Switkin)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BitMatrix`
  `encode(String contents, BarcodeFormat format, int width, int height)`
  Encode a barcode using the default settings.
  `BitMatrix`
  `encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints)`

- ## Method Details

  - ### encode

    BitMatrix encode(String contents, BarcodeFormat format, int width, int height) throws WriterException
    Encode a barcode using the default settings.
    Parameters:
      `contents` - The contents to encode in the barcode
      `format` - The barcode format to generate
      `width` - The preferred width in pixels
      `height` - The preferred height in pixels
    Returns:
      `BitMatrix` representing encoded barcode image
    Throws:
      `WriterException` - if contents cannot be encoded legally in a format

  - ### encode

    BitMatrix encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType,?> hints) throws WriterException
    Parameters:
      `contents` - The contents to encode in the barcode
      `format` - The barcode format to generate
      `width` - The preferred width in pixels
      `height` - The preferred height in pixels
      `hints` - Additional parameters to supply to the encoder
    Returns:
      `BitMatrix` representing encoded barcode image
    Throws:
      `WriterException` - if contents cannot be encoded legally in a format